Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## spki
Class RBACChainReducer

    java.lang.Object
      |
      +--spki.RBACChainReducer

public final class RBACChainReducer
extends Object

spki RBACChainReducer class.

Version:
  $Id: RBACChainReducer.java,v 1.4 2002/08/05 18:55:10 tep Exp $
Author:
  Tep Narula <tep@win.trlabs.ca>

Field Summary
`private static String` | `__ME` This class's full name.

Constructor Summary
`private` | `RBACChainReducer()` Can't instantiate me.

Method Summary
`static Role5Tuple` | `bottomUpPass(Role5Tuple[] input)` The Round-trip Reduction algorithm's bottom-up round.
`static Role5Tuple[]` | `certs2Tuples(Sequence seq)` Map a given sequence of certificates into a list of tuples.
`static Role5Tuple` | `roundTripReduce(Role5Tuple[] input)` An implementation of the Round-trip Reduction algorithm.
`static Role5Tuple[]` | `topDownPass(Role5Tuple[] input)` The Round-trip Reduction algorithm's top-down round.

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### __ME

    private static final String __ME

  This class's full name.

Constructor Detail

### RBACChainReducer

    private RBACChainReducer()

  Can't instantiate me. Thsi is a tool class, we don't want to create an instance!

Method Detail

### certs2Tuples

    public static final Role5Tuple[] certs2Tuples(Sequence seq)
                                           throws SPKIException

  Map a given sequence of certificates into a list of tuples.

### roundTripReduce

    public static final Role5Tuple roundTripReduce(Role5Tuple[] input)
                                            throws SPKIException,
                                                   ReductionException

  An implementation of the Round-trip Reduction algorithm.
  See Also:
    `topDownPass(Role5Tuple[])`, `bottomUpPass(Role5Tuple[])`

### topDownPass

    public static final Role5Tuple[] topDownPass(Role5Tuple[] input)
                                          throws SPKIException,
                                                 ReductionException

  The Round-trip Reduction algorithm's top-down round.
  See Also:
    `Role5Tuple.reduce(Role5Tuple)`

### bottomUpPass

    public static final Role5Tuple bottomUpPass(Role5Tuple[] input)
                                         throws SPKIException,
                                                ReductionException

  The Round-trip Reduction algorithm's bottom-up round. TODO: deal with authorization chains that branch out threshold subjects on both side of the tree.
  See Also:
    `Role5Tuple.tReduce(Role5Tuple)`, `Tuple.tEliminate(Subject)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD